<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="./css/form.css">
  <link rel="stylesheet" href="./css/dragAndDrop.css">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    $(document).ready(() => {
      if (!Modernizr.draganddrop) {
        alert("Your browser doesn't support Drag & Drop");
        return;
      }

      $("#img1").bind("dragstart", dragStartManagment);
      $("#img2").bind("dragstart", dragStartManagment);
      $("#img3").bind("dragstart", dragStartManagment);
      $("#img4").bind("dragstart", dragStartManagment);
      $("#dragZone").bind({"dragover": dragOverManagment, "drop": dropManagment});

      $.event.props.push("dataTransfer");

      function dragStartManagment(e) {
        $("#eventsMsg").html("Start of dragging event: " + e.target.id);
        e.dataTransfer.setData("text/html", this.id);
      }

      function dragOverManagment(e) {
        e.stopPropagation();
        e.preventDefault();
        $("#eventsMsg").html("Dragover managment in: " + e.target.id);
      }

      function dropManagment(e) {
        e.stopPropagation();
        e.preventDefault();
        $("#eventsMsg").html("Drop managment in: " + e.target.id);

        var idSelImg = e.dataTransfer.getData("text/html");
        $("#elements").append(idSelImg + " ");
        e.target.appendChild( document.getElementById(idSelImg) );
      }
    });
  </script>
  <title>Drag And Drop in HTML5</title>
</head>
<body>
  <h1>Drag And Drop in HTML5</h1>
  <div id="eventsMsg"></div>
  <figure>
    <img id="img1" alt="laptop" draggable="true" src="resources/laptop.png" />
    <img id="img2" alt="monitor" draggable="true" src="resources/monitor.png" />
    <img id="img3" alt="berenjena" draggable="true" src="resources/berenjena.png" />
    <img id="img4" alt="pimiento" draggable="true" src="resources/pimiento.png" />
    <figcaption>Images to drag</figcaption>  
  </figure>
  <div id="dragZone">Drag the image here:</div>
  <p>Selected elements:</p>
  <div id="elements"></div>

  <a href="./index.html">To main page</a>
</body>
</html>